Test::Lintian::Helper(3)

NAME
Test::Lintian::Helper -- Helper functions for various testing parts

SYNOPSIS
  use Test::Lintian::Helper qw(get_latest_policy);
  my $policy_version = get_latest_policy();

DESCRIPTION
Helper functions for preparing and running Lintian tests.

FUNCTIONS

cache_dpkg_architecture_values()
    Ensures that the output from dpkg-architecture has been cached.

get_latest_policy()
    Returns a list with two elements. The first is the most recent version of the Debian policy. The second is its effective date.

get_recommended_debhelper_version()
    Returns the version of debhelper recommended in 'debhelper/compat-level' via Lintian::Data, relative to the established LINTIAN_BASE.

copy_dir_contents(SRC_DIR, TARGET_DIR)
    Populates TARGET_DIR with files/dirs from SRC_DIR, preserving all attributes but dereferencing links. For an empty directory, no dummy file is required.

rfc822date(EPOCH)
    Returns a string with the date and time described by EPOCH, formatted according to RFC822.